Bug 177793 - system-config-soundcard gives "Unknown Error" window
system-config-soundcard gives "Unknown Error" window
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-01-14 00:08 EST by Mark Alford
Modified: 2008-01-19 23:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:39:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
scsound.log, output of system-config-soundcard (1.2.12-4.FC4) (6.68 KB, text/plain)
2006-01-25 21:33 EST, Mark Alford
no flags Details
system-config-soundcard-1.2.12-5.FC4 output logfile (6.87 KB, text/plain)
2006-01-30 21:08 EST, Mark Alford
no flags Details

  None (edit)
Description Mark Alford 2006-01-14 00:08:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:

When I run system-config-soundcard on my Thinkpa 600E, it throws up a window that just says "Unknown Error". No diagnostic info at all. Very Windows-like!

I upgraded to system-config-soundcard-1.2.14-1.1 because the original FC4 version was giving me a backtrace (Bug 161748)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run system-config-soundcard
2. Admire inscrutable "Unknown Error" window that pops up


Actual Results:  "Unknown Error" window

Expected Results:  Some sort of soundcard configuration menu I think.

Additional info:

I should add that I am doing this because my sound is not working, but that is a separate problem.
Comment 1 Martin Stransky 2006-01-15 01:41:07 EST
Could you attach output of "aplay -l"?
Comment 2 Mark Alford 2006-01-15 18:06:09 EST
Output of 'aplay -l':

**** List of PLAYBACK Hardware Devices ****
card 0: CS4236 [CS4236], device 0: CS4231 [CS4236]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
Comment 3 Martin Stransky 2006-01-16 04:28:48 EST
What version of alsa-lib and alsa-utils do you have?
Comment 4 Mark Alford 2006-01-16 14:42:16 EST
> rpm -q alsa-utils
> rpm -q alsa-lib

Comment 5 Martin Stransky 2006-01-17 03:21:53 EST
You're using alsa packages from FC4 and s-c-s from FC5 so no doubt it doesn't
works. You need to install alsa packages from FC5, it should work with FC4 kernel .

Or here is a how-to for latest drivers in FC4 -

I'm going to update s-c-s in FC4 someday.
Comment 6 Mark Alford 2006-01-17 21:34:16 EST
> rpm -Uvh alsa-lib-1.0.11-2.rc2.i386.rpm alsa-utils-1.0.11-1.rc2.i386.rpm
error: Failed dependencies:
        libc.so.6(GLIBC_2.4) is needed by alsa-lib-1.0.11-2.rc2.i386
        libc.so.6(GLIBC_2.4) is needed by alsa-utils-1.0.11-1.rc2.i386
        udev < 062 conflicts with alsa-utils-1.0.11-1.rc2.i386

Should I '--force' it?
Comment 7 Martin Stransky 2006-01-18 07:23:04 EST
No, you should download src.rpm files and recompile they:

#rpmbuild --rebuild alsa-xxx.src.rpm

Packages will be in /usr/src/redhat/RPMS/arch/ directory.
Comment 8 Mark Alford 2006-01-18 23:22:24 EST
OK, I used the "development" src.rpm files at
http://people.redhat.com/stransky/alsa/, and
I still have the same problem:
#  uname -a
Linux toadflax 2.6.11-1.1369_FC4 #1 Thu Jun 2 22:55:56 EDT 2005 i686 i686 i386
# rpm -q alsa-utils
# rpm -q alsa-lib
# aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: CS4236 [CS4236], device 0: CS4231 [CS4236]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
# system-config-soundcard
Throws up "Unknown error" window.
Comment 9 Martin Stransky 2006-01-23 10:31:28 EST
Unfortunately these packages are made for FC4 so they don't have files from
devel branch (i.e. FC5). You need to use the FC5 packages and they're here:

Comment 10 Martin Stransky 2006-01-24 05:38:49 EST
The last update for FC4 - system-config-soundcard-1.2.12-4.FC4 should fix a
problem with backtrace and some other...
Comment 11 Mark Alford 2006-01-24 22:51:18 EST
I downloaded the source RPMs from
and used rpmbuild --rebuild to create RPM files:
> cd /usr/src/redhat/RPMS/i386
> ls
> rpm -Uvh alsa-*
error: Failed dependencies:
        udev < 062 conflicts with alsa-utils-1.0.11-1.rc2.i386

Should I '--force' it?
Comment 12 Mark Alford 2006-01-24 23:06:15 EST
$$ The last update for FC4 - system-config-soundcard-1.2.12-4.FC4 should fix a
$$ problem with backtrace and some other...

I reverted to system-config-soundcard-1.2.12-4.FC4 to check this:
> rpm --oldpackage -Uvh system-config-soundcard-1.2.12-4.FC4.noarch.rpm
Preparing...                ########################################### [100%]
   1:system-config-soundcard########################################### [100%]
> system-config-soundcard
cat: /etc/asound.conf: No such file or directory
(Throws up "no sound card detected window")

But as we know, there IS one:
> aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: CS4236 [CS4236], device 0: CS4231 [CS4236]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
Comment 13 Martin Stransky 2006-01-25 04:58:15 EST
/etc/asound.conf isn't important when you have only one soundcard.
Could you please attach the /root/scsound.log file? It should be created by s-c-s. 
btw. It looks like a bug in kudzu.
Comment 14 Mark Alford 2006-01-25 21:33:15 EST
Created attachment 123704 [details]
scsound.log, output of system-config-soundcard (1.2.12-4.FC4)

Here is the logfile. The command terminated with a "no sound card detected"
Comment 15 Martin Stransky 2006-01-30 07:16:53 EST
Could you please check the latest FC4 update (1.2.12-5.FC4) and attach the
/etc/scsound.log file again?
Comment 16 Mark Alford 2006-01-30 21:08:30 EST
Created attachment 123894 [details]
system-config-soundcard-1.2.12-5.FC4 output logfile

Here is the scsound.log output file.
The command still gave "no sound card detected".
Comment 17 Mark Alford 2006-02-03 21:19:42 EST
I am just posting this comment to get the bug out of "NEEDINFO" state, which it
stayed in despite my posting a new attachment.
Comment 18 Martin Stransky 2006-03-08 09:07:11 EST
Reassigning to kudzu...
Comment 19 Bill Nottingham 2006-03-09 11:27:45 EST
Does aplay of a sound work outside of s-c-soundcard?
Comment 20 Mark Alford 2006-03-09 21:42:37 EST
No, aplay /usr/share/sounds/warning.wav does not work. 
In fact, things have gone downhill since my earlier comments. I don't know what
has changed (alsa-utils got updated recently), but now I don't even get anything
from aplay -l:
> aplay -l
aplay: device_list:222: no soundcards found...

It used to detect the soundcard (see comment #12 above, for example).
Comment 21 Bill Nottingham 2006-03-09 22:35:06 EST
What happens if you load snd-cs4236 by hand?
Comment 22 Mark Alford 2006-03-11 13:37:46 EST
Loading by hand:
> modprobe snd-cs4236
FATAL: Error inserting snd_cs4236
(/lib/modules/2.6.11-1.1369_FC4/kernel/sound/isa/cs423x/snd-cs4236.ko): No such

This used to work too. I don't know what changed.
Comment 23 Mark Alford 2006-03-11 14:03:51 EST
UPDATE: Things have gone back to the way they were before.
(This happened after I rebooted in Windows to check that the sound
is working there: could that have done something?)
So, the answers to your last few questions are now as follows:

Loading by hand (using modprobe) works.

aplay -l gives:
**** List of PLAYBACK Hardware Devices ****
card 0: CS4236 [CS4236], device 0: CS4231 [CS4236]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Using aplay to play a sound gives no sound, but the following output:
aplay /usr/share/sounds/warning.wav
Playing WAVE '/usr/share/sounds/warning.wav' : Signed 16 bit Little Endian, Rate
44100 Hz, Mono

Comment 24 Bill Nottingham 2006-03-11 20:25:55 EST
Moving to the kernel for the moment, as it seems you have a driver problem first.
Realistcally, s-c-soundcard should be using HAL, not kudzu.
Comment 25 Dave Jones 2006-10-16 17:08:54 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 26 Jon Stanley 2008-01-19 23:39:15 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.